compass(1)

NAME
compass - The compass command line tool will help you create and manage the stylesheets for your project.

SYNOPSIS
compass [options] [project]

DESCRIPTION
The compass command line tool will help you create and manage the stylesheets for your project.

Mode Options (only specify one)

-i, --install
    Create a new compass project.The default mode when a project is provided.

-u, --update
    Update the current project.This is the default when no project is provided.

-w, --watch
    Monitor the current project for changes and update

-p,--pattern
    Stamp out a pattern into the current project.Must be used with -f.

--write-configuration
    Write the current configuration to the configuration file.

--list-frameworks
    List compass frameworks available to use

--validate
    Validate your project's compiled css. Requires Java.

--grid-img [DIMENSIONS]
    Generate a background image to test grid alignment. Dimension is given as <column_width>+<gutter_width>.Defaults to 30+10.

Install/Pattern Options:

-f, --framework FRAMEWORK
    Use the specified framework. Only one may be specified.

-n, --pattern-name NAME
    The name to use when stamping a pattern.Must be used in combination with -p Sets the project type to a rails project.

-?, -h, --help
    Show a usage summary

Configuration Options:

-c, --config CONFIG_FILE
    Specify the location of the configuration file explicitly.

--sass-dir SRC_DIR
    The source directory where you keep your sass stylesheets

--css-dir CSS_DIR
    The target directory where you keep your css stylesheets.

--images-dir IMAGES_DIR
    The directory where you keep your images.

--javascripts-dir JS_DIR
    The directory where you keep your javascripts

-e, --environment ENV
    Use sensible defaults for your current environment.

-s, --output-style STYLE
    Select a CSS output mode.

--relative-assets
    Make compass asset helpers generate relative urls to assets.

General Options:

-r, --require LIBRARY
    Require the given ruby LIBRARY before running commands

-q, --quiet
    Quiet mode.

--dry-run
    Dry Run. Tells you what it plans to do.

--trace
    Show a full stacktrace on error

--force
    Force. Allows some failing commands to succeed instead.

--imports
    Emit an imports suitable for passing to the sass command-line.

--install-dir
    Emit the location where compass is installed.

-?, -h, --help
    Show this message

-v, --version
    Print version

SEE ALSO
This program is shipped as part of the libcompass-ruby1.8 library package, you can check its corresponding documentation can be found in the libcompass-ruby-doc package.

AUTHOR
This manual page was written by Deepak Tripathi<apenguinlinux@gmail.com>, based on the command-line output of this program, for the Debian GNU/Linux system (but may be freely used by others).